Pagina 1 di 1

come usare slackyd?

Inviato: ven 18 lug 2014, 21:17
da bi-andrea
Dunque con la premessa che sto usando da poco Slackware in generale (neofita), su tre pc dove uno è a 64bit.
Ho notato che oltre a installpkg, removepkg, upgradepkg, la distro ha anche slackpkg e slackyd dove il secondo mi piace di più perchè gestisce le dipendenze, solo cheslackpkg installa il pacchetto che cerco e basta, ma non mi vede i mirrors non ufficiali.
Slackyd invece vede le dipendenze solo che non installa ma li scarica (mi può stare anche bene), solo che non riesco a capire come usarlo, cioè digitando

Codice: Seleziona tutto

slackyd -h
mi restituisce

Codice: Seleziona tutto

Usage: slackyd <options> <package>             

Options:                                             
 -5: Skip md5 verify.                                
 -b: Try to download package build sources.          
 -B: Try to build package from sources.              
 -c: Use alternate config file.                      
 -d: Search missing shared libraries of installed packages.
 -D: Search missing required packages (packager-indicated).
 -e: Use regex.                                      
 -f: Force update or packages download. Assume yes to all question.
 -g: Download package.                               
 -h: Show this help.                                 
 -I: Skip packages status check.                     
 -l: List all packages installed.                    
 -L: List all non-slackware packages installed.      
 -m: Case insensitive.                               
 -n: Only notify broken dependencies.                
 -O: List all orphan packages.                       
 -p: Clean slackyd directory (only packages and sources).
 -P: Clean slackyd directory (all).                  
 -q: Quiet, disable some warnings.                   
 -r: Search not official replaceable packages.       
 -R: Show repositories statistics.                   
 -s: Search package.                                 
 -S: Skip dependencies check.                        
 -t: Specify a path to download packages             
 -u: Update packages list and md5 hash list.         
 -U: Search new packages.                            
 -v: Verbose mode.                                   
 -V: Show slackyd info.                              
 -w: View package info.                              
 -x: Disable blacklist.                              
 -X: Show packages available and blacklisted.
come usarlo al meglio senza incappare in qualche pacchetto installao che gli manca una dipendenza?

Re: come usare slackyd?

Inviato: mar 22 lug 2014, 0:44
da lablinux
non per fare il rompiballs, ma hai cercato su google?
Il primo risultato http://www.slacky.eu/slacky/Slackyd

Re: come usare slackyd?

Inviato: mar 22 lug 2014, 8:59
da sunreal
A proposito di slackyd, è normale quello che c'è scritto nell' ultima riga:

Codice: Seleziona tutto

bash-4.2# slackyd -u

Warning: package `AdobeReader_ita-8.1.7-1.i486' isn't standard. Skipping.
Warning: package `openoffice-4.0.1-9714.x86_64' isn't standard. Skipping.
*** Warning: Broken packages list, 4 files are missing.
*** Try to force update or fix your slackyd.conf.

Repository: slackware [ftp.nluug.nl]
`- Downloading FILELIST.TXT [100 % @ 1002.2 KB/s]        
`- Downloading CHECKSUMS.md5 [100 % @ 1089.1 KB/s]        
`- Downloading PACKAGES.TXT [100 % @ 546.9 KB/s]         
`- Downloading MANIFEST.bz2 [100 % @ 1121.1 KB/s]        
>> Uncompressing MANIFEST.bz2: done.
`- Downloading patches PACKAGES.TXT [100 % @ 45.4 KB/s]          
`- Downloading patches MANIFEST.bz2 [100 % @ 1021.5 KB/s]        
>> Uncompressing patches MANIFEST.bz2: done.
`- Downloading extra PACKAGES.TXT [100 % @ 136.0 KB/s]         
`- Downloading extra MANIFEST.bz2 [100 % @ 468.8 KB/s]         
>> Uncompressing extra MANIFEST.bz2: done.
Repository: slacky [darkstar.ist.utl.pt]
`- Downloading FILELIST.TXT [File Not Found]
Anche perchè poi se cerco i pacchetti non ne trova uno....

Mi sono anche accorto che nel file slackyd.conf molte righe si riferivano ai repository 13.37, nel dubbio ho sostituito tutti i 13.37 con 14.1, ma non è cambiato nulla....

Re: come usare slackyd?

Inviato: mar 22 lug 2014, 13:36
da erio
http://slack.isper.sk/pub/slackware64-14.1/ oppure se hai 32 bit http://slack.isper.sk/pub/slackware-14.1/
cambia il repository nel file di configurazione di slackyd questi sopra funzionano

Re: come usare slackyd?

Inviato: mar 22 lug 2014, 14:04
da sunreal
erio ha scritto:http://slack.isper.sk/pub/slackware64-14.1/ oppure se hai 32 bit http://slack.isper.sk/pub/slackware-14.1/
cambia il repository nel file di configurazione di slackyd questi sopra funzionano
Ok. Ora funziona. Grazie.
Tanto per sapere, come si fa conoscere l' indirizzo del repository, almeno se in futuro cambia, saprò dove guardare. Grazie.

Re: come usare slackyd?

Inviato: mar 22 lug 2014, 17:56
da erio

Re: come usare slackyd?

Inviato: mer 23 lug 2014, 15:14
da sunreal
Ok grazie mille.

Re: come usare slackyd?

Inviato: mer 23 lug 2014, 18:23
da ZeroUno
sunreal ha scritto:A proposito di slackyd, è normale quello che c'è scritto nell' ultima riga:

Codice: Seleziona tutto

bash-4.2# slackyd -u

Warning: package `AdobeReader_ita-8.1.7-1.i486' isn't standard. Skipping.
Warning: package `openoffice-4.0.1-9714.x86_64' isn't standard. Skipping.
Io mi occuperei anche delle prime di righe.

Vado ad indovinare:
# rpm2tgz AdobeReader_ita-8.1.7-1.i486.rpm
# installpkg AdobeReader_ita-8.1.7-1.i486.tgz

Il formato rpm è leggermente diverso - in quanto a nomenclatura - con quello slackware e come norma dopo rpm2tgz è opportuno effettuare una rename
# mv AdobeReader_ita-8.1.7-1.i486.tgz AdobeReader_ita-8.1.7-i486-1.tgz
prima dell'installpkg

se non l'hai fatto prima puoi farlo ora
vai dentro /var/log/packages, /var/log/scripts, /var/log/removed_packages, /var/log/removed_scripts e rinomina tutte le occorrenze come sopra (senza il tgz) altrimenti alcuni script (slackyd che esclude i pacchetti e strumenti ufficiali tra cui slackpkg e non escluderei anche upgradepkg) potrebbero fallire.
facoltativamente puoi editare il file e "falsificare" la riga "PACKAGE LOCATION: " (non è necessario ma è giusto per pulizia)

Re: come usare slackyd?

Inviato: lun 21 mar 2016, 3:37
da francois.e
Scusa il mio italiano. Devo usare la traduzione.
E 'possibile utilizzare slacky Slackware 14.1 sul beta corrente Slackware:
http://ftp.heanet.ie/mirrors/slackware/ ... rrent-iso/

Devo modificare /etc/slackyd/slackyd.conf? Come?

Grazie.

Re: come usare slackyd?

Inviato: lun 21 mar 2016, 10:03
da ZeroUno
You can speek english if you prefeer it.

In slackyd.conf you can modify the 'repository' entry and set it to slackware-current, and leave 'repository slacky' entry to slackware-14.1

Re: come usare slackyd?

Inviato: lun 21 mar 2016, 23:18
da francois.e
Is not there a difference between slackware current which is beta and slackware current which would only be 14.1?The link I gave above is about the iso form of slackware beta which I presume will be slackware 14.2

Re: come usare slackyd?

Inviato: mar 22 mar 2016, 20:04
da francois.e
OK. I get it and will try your suggestion and report.

Thanks.

Re: come usare slackyd?

Inviato: mer 23 mar 2016, 2:24
da francois.e
Here is my slackyd.conf repository section:

Codice: Seleziona tutto

# Official mirror is too slow...
!repository ftp://ftp.slackware.com/pub/slackware/slackware64-13.37/

repository = http://mirrors.slackware.com/slackware/slackware64-current/
!repository = http://ftp.heanet.ie/mirrors/slackware/pub/slackware/slackware-iso/slackware-current-iso/


#Extra repositories:
# Slacky.eu
repository slacky = http://repository.slacky.eu/slackware64-14.1/
# GSlacky
!repository gslacky http://darkstar.ist.utl.pt/slackware/addon/slacky/gnome-slacky-13.37/

And here is the error message:

Codice: Seleziona tutto

root@porteus:~# slackyd -u

*** Warning: Broken packages list, 5 files are missing.
*** Try to force update or fix your slackyd.conf.

Repository: slackware [ftp.slackware.com]
`- Downloading FILELIST.TXT [Already update]             
Repository: slacky [repository.slacky.eu]
`- Downloading FILELIST.TXT [Already update]             

 
There is clearly a problem with current. I am particularly interested in installing cups 2.1.3

Any suggestion would be appreciated.

Thanks.

Re: come usare slackyd?

Inviato: dom 27 mar 2016, 17:34
da francois.e
The following repository for current works well:

Codice: Seleziona tutto

# Official mirror is too slow...
!repository ftp://ftp.slackware.com/pub/slackware/slackware64-13.37/

repository = http://ftp.heanet.ie/mirrors/slackware/pub/slackware/slackware64-current/
!repository = http://ftp.heanet.ie/mirrors/slackware/pub/slackware/slackware-iso/slackware-current-iso/
Thanks.